/events/purchase/{retailer_id}

A purchase event is a record of users' purchase products, a predefined action that indicates that a purchase was made.
This is available for our Sponsored Products and Display Ads channels.

Use this endpoint if you want to record purchase events from a campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Important:

When showing Streaem ads in the frontend (this applies to all positions) don't use words like banner, ad, banner-ad of Streaem or combinations of these words in your divs. This will help your ads from being blocked by ad blockers.

NOTE: Streaem is server side only, therefore all API calls need to be made server side. The acceptance base API url that can be used to call the Streaem platform for integration testing is <https://api.uat.streaem.com>, this needs to be combined with the specific endpoint path.

Path Params
int32
required
≥ 1

The unique retailer ID within the Streaem system

Body Params
int64
required
1640995200000 to 2524608000000

The timestamp of the event in epoch milliseconds.

auction_products
array of objects
required
length ≥ 1
auction_products*
string
required

The unique auction id received from the auction API call.

purchased_products
array of objects
required
length ≥ 1
purchased_products*

Purchased product information. Conversion type at product level will override the conversion type at the purchase level.

string
required

The product id of the purchased item.

integer
required
≥ 1

Quantity of the given product.

double
required
≥ 0

Regular unit price of a single item (without discounts).

double
required
> 0

Total discounted price of the purchase (quantity * discounted unit price - quantity discounts)

boolean

Flag describing is the user purchasing the product is new to the brand

string
enum

Post View: only use this for Display Ad campaigns; this occurs when a user views an ad but doesn't click on it, and then later returns to the site and converts.
Post Click: This occurs when a user clicks on an ad and then converts on the site within a set period of time.

Allowed:
string
enum
Defaults to POST_CLICK

Post View: only use this for Display Ad campaigns; this occurs when a user views an ad but doesn't click on it, and then later returns to the site and converts.
Post Click: This occurs when a user clicks on an ad and then converts on the site within a set period of time.

Allowed:
metadata
object

Reserved for future use.

Headers
string
required

The calculated hash based on the rules defined in the developer documentation

Responses
202

Accepted

401

Unauthorized

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json